<?php
$sidebar1 = new zsidebar();
$sidebar1->addWidget(new zwidget_pages('pages', array(
    'title' => 'Страницы', // Заголовок блока
    'type' => 'minimal', // Тип вывода меню: minimal или full
    'depth' => 0, // максимальная глубина отображаемой вложенности, 0 - неограничена
    'menuid' => 'main', // тип меню, false - все пункты, main - главное меню
    'type' => 'minimal', // Тип вывода меню: minimal или full
)));

 // Для более тонкой настройки виджета см. файл
 // zengine/classes/widgets/defaults.php
$sidebar1->addWidget(new zwidget_tagcloud('tag_cloud', array(
    'title' => 'Тэги', // Заголовок блока
    'smallest' => 8, // Минимальный размер шрифта для вывода облака тэгов
    'largest' => 22, // Максимальный размер шрифта для вывода облака тэгов
    'unit' => 'pt', // Единица измерения для параметров smallest и largest
    'number' => 45, // Количество выводимых тэгов
    'format' => 'flat', // формат вывода тэгов: flat, list
    'orderby' => 'name', // свойство, по которому сортировать тэги: name, count
    'order' => 'ASC', // порядок сортировки: ASC, DESC, RAND
)));

/**
 * Регистрируем сайдбар в менеджере. Позже его можно будет вывести, используя
 * метод zsidebarmanager::displaySidebar(1)
 */
zsidebarmanager::register($sidebar1);

$sidebar2 = new zsidebar();
$sidebar2->addWidget(new zwidget_pages('news', array(
    'title' => 'Последние новости', // Заголовок блока
    'type' => 'full', // Тип вывода меню: minimal или full
    'menuid' => 'news', // тип меню, false - все пункты, main
    'childs_of' => '/news', // выводить дочерние страницы этой страницы
    'depth' => 1, // глубина иерархии меню ограничена первым уровнем
    'number' => 10, // выводить не более 10 пунктов меню
)));


/**
 * Регистрируем сайдбар в менеджере. Позже его можно будет вывести, используя
 * метод zsidebarmanager::displaySidebar(2)
 */
zsidebarmanager::register($sidebar2);